import { IRouteConfig, IExternalColumn } from '@zeedhi/zeedhi-miragejs';

const getMinhasTarefasX: IRouteConfig<IExternalColumn> = {
  externalApi: true,
  apiUrl: 'http://localhost:81/fmapp/backend/service/index.php/getDadosTarefaOffline',
  dataColumn: 'data',
  persist: true,
  columns: {
    id: {
      location: ['NRCHECKLISTAGEND'],
    },
    CDCLIENTE: {},
    CDOPERADOR: {},
    DTAGEND: {},
    HORAAGEND: {},
    IDOBRIGAOBSERVACAO: {},
    IDSITUACAOAGEND: {},
    IDTIPOMARCACAOTAREFA: {},
    LOCALPAI: {},
    NMCHECKLIST: {},
    NMCHECKLISTAGEND: {},
    NMLOCALCLIENTE: {},
    NMLOCALPAI: {},
    NMOPERADOR: {},
    NMRAZSOCCLIE: {},
    NRCHECKLIST: {},
    NRCHECKLISTAGEND: {},
    NRCONTRATOFCT: {},
    NRLOCALCLIENTE: {},
    NRSEQCONTRATO: {},
    SITUACAO: {},
  },
};

export default getMinhasTarefasX;
