import { Config, Http } from '@zeedhi/core';

const useMirage = (mirage: boolean = true) => {
  if (mirage) {
    Config.endPoint = process.env.VUE_APP_MIRAGE_END_POINT;
  } else {
    Config.endPoint = 'http://localhost:81/fmapp/backend/service/index.php';
  }

  Http.setBaseURL(Config.endPoint);
};

export { useMirage };
