import { IExternalColumn, IRouteConfig } from '@zeedhi/zeedhi-miragejs';

const getTarefasListadas: IRouteConfig<IExternalColumn> = {
    externalApi: true,
    persist: true,
    apiUrl: 'http://localhost:81/fmapp/backend/service/index.php/getDadosTarefaOffline',
    dataColumn: 'data',
    uniqueKey: 'NRCHECKLISTAGEND',
    columns: {
        NRCHECKLISTAGEND: {},
        NRCONTRATOFCT: {},
        NMRAZSOCCLIE: {},
        NMCHECKLISTAGEND: {},
        NMLOCALCLIENTE: {},
        DTAGEND: {},
        HORAAGEND: {},
        NMOPERADOR: {},
        SITUACAO: {},
        NMCAMPO: {},
    },
};

export { getTarefasListadas };
